<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		juan.agudelo
@modified		christian.rodriguez nuevas versiones desde el 2012
@version		2.0
@description	Registrar ofertas inmobiliarias CU-SA-AC-077
                modulo servicios públicos y vías
                registroOfertaInmob.selectedOfertaInmobiliaria.
@cu 			CU-AV-O-01
@param 			ofertaInmobiliariaParam: 	oferta inmobiliaria seleccionada
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="2" cellspacing="8"
             width="50%">

    <h:outputLabel value="Frente a vías: " styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.frenteVias}" />
    <h:outputText id="OfertaFrenteViasV" styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.frenteVias}"
                  rendered="#{not empty ofertaInmobiliariaParam.frenteVias}">
        <f:converter converterId="converterCB" for="OfertaFrenteViasV" />
    </h:outputText>

    <h:outputLabel value="Estado vías: " styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.estadoVias}" />
    <h:outputText id="OfertaEstadoViasV" styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.estadoVias}"
                  rendered="#{not empty ofertaInmobiliariaParam.estadoVias}">
        <f:converter converterId="converterCB" for="OfertaEstadoViasV" />
    </h:outputText>

    <h:outputLabel value="Servicios públicos: "
                   styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.ofertaServicioPublicos}" />
    <p:dataList value="#{ofertaInmobiliariaParam.ofertaServicioPublicos}"
                rendered="#{not empty ofertaInmobiliariaParam.ofertaServicioPublicos}"
                var="sp">
        #{sp.servicioPublico}
    </p:dataList>

</h:panelGrid>
